Bug 495398 - (perl-Net-UPnP) Review Request: perl-Net-UPnP - Perl extension for UPnP
Review Request: perl-Net-UPnP - Perl extension for UPnP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-12 14:38 EDT by Susi Lehtola
Modified: 2009-05-09 00:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.41-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 21:04:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2009-04-12 14:38:43 EDT
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/perl-Net-UPnP.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/perl-Net-UPnP-1.41-1.fc10.src.rpm

Description:
This package provides some functions to control UPnP devices.


rpmlint output is clean.
Comment 1 Chris Weyl 2009-04-12 15:15:17 EDT
Koji (FAILURE) http://koji.fedoraproject.org/koji/taskinfo?taskID=1292448
Comment 2 Susi Lehtola 2009-04-12 15:39:54 EDT
Whoops, forgot to try building in mock. Now builds fine.

Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/perl-Net-UPnP.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/perl-Net-UPnP-1.41-2.fc10.src.rpm
Comment 3 Chris Weyl 2009-04-15 01:55:18 EDT
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=1299603
Comment 4 Chris Weyl 2009-04-15 02:00:22 EDT
There's an examples/ directory; why not include it in %doc?

There are a slew of rpmlint errors -- these are all related to the execute bit
being set on our .pm's.  I find that including the following in %prep usually
makes rpmlint happy:

find . -type f -exec chmod -c -x {} \;

Fix the rpmlint errors and warning, include examples/ in %doc and I'll
approve. :-)

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1299603

Spec looks sane, clean and consistent; license is correct (BSD);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
4ce2c0b734b2393f49f857f686b835bb2919eb05 Net-UPnP-1.41.tar.gz
4ce2c0b734b2393f49f857f686b835bb2919eb05 Net-UPnP-1.41.tar.gz.srpm

Final provides / requires are sane:

perl-Net-UPnP.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

=====> perl-Net-UPnP-1.41-2.fc10.src.rpm <=====
====> rpmlint
perl-Net-UPnP.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 12)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> provides for perl-Net-UPnP-1.41-2.fc10.src.rpm
====> requires for perl-Net-UPnP-1.41-2.fc10.src.rpm
perl(ExtUtils::MakeMaker)  
perl(Test::More)  

=====> perl-Net-UPnP-1.41-2.fc10.noarch.rpm <=====
====> rpmlint
perl-Net-UPnP.noarch: E: script-without-shebang /usr/lib/perl5/vendor_perl/5.10.0/Net/UPnP/Device.pm
perl-Net-UPnP.noarch: E: script-without-shebang /usr/lib/perl5/vendor_perl/5.10.0/Net/UPnP/AV/MediaServer.pm
perl-Net-UPnP.noarch: E: script-without-shebang /usr/lib/perl5/vendor_perl/5.10.0/Net/UPnP/ControlPoint.pm
perl-Net-UPnP.noarch: E: script-without-shebang /usr/lib/perl5/vendor_perl/5.10.0/Net/UPnP/Service.pm
perl-Net-UPnP.noarch: E: script-without-shebang /usr/lib/perl5/vendor_perl/5.10.0/Net/UPnP/AV/MediaRenderer.pm
perl-Net-UPnP.noarch: E: script-without-shebang /usr/lib/perl5/vendor_perl/5.10.0/Net/UPnP/AV/Content.pm
perl-Net-UPnP.noarch: E: script-without-shebang /usr/lib/perl5/vendor_perl/5.10.0/Net/UPnP/HTTPResponse.pm
perl-Net-UPnP.noarch: E: script-without-shebang /usr/lib/perl5/vendor_perl/5.10.0/Net/UPnP/QueryResponse.pm
perl-Net-UPnP.noarch: E: script-without-shebang /usr/lib/perl5/vendor_perl/5.10.0/Net/UPnP/AV/Item.pm
perl-Net-UPnP.noarch: E: script-without-shebang /usr/lib/perl5/vendor_perl/5.10.0/Net/UPnP/ActionResponse.pm
perl-Net-UPnP.noarch: E: script-without-shebang /usr/lib/perl5/vendor_perl/5.10.0/Net/UPnP/GW/Gateway.pm
perl-Net-UPnP.noarch: E: script-without-shebang /usr/lib/perl5/vendor_perl/5.10.0/Net/UPnP/HTTP.pm
perl-Net-UPnP.noarch: E: script-without-shebang /usr/lib/perl5/vendor_perl/5.10.0/Net/UPnP/AV/Container.pm
1 packages and 0 specfiles checked; 13 errors, 0 warnings.
====> provides for perl-Net-UPnP-1.41-2.fc10.noarch.rpm
perl(Net::UPnP) = 1.41
perl(Net::UPnP::AV::Container)  
perl(Net::UPnP::AV::Content)  
perl(Net::UPnP::AV::Item)  
perl(Net::UPnP::AV::MediaRenderer)  
perl(Net::UPnP::AV::MediaServer)  
perl(Net::UPnP::ActionResponse)  
perl(Net::UPnP::ControlPoint)  
perl(Net::UPnP::Device)  
perl(Net::UPnP::GW::Gateway)  
perl(Net::UPnP::HTTP)  
perl(Net::UPnP::HTTPResponse)  
perl(Net::UPnP::QueryResponse)  
perl(Net::UPnP::Service)  
perl-Net-UPnP = 1.41-2.fc10
====> requires for perl-Net-UPnP-1.41-2.fc10.noarch.rpm
perl(:MODULE_COMPAT_5.10.0)  
perl(Net::UPnP)  
perl(Net::UPnP::AV::Container)  
perl(Net::UPnP::AV::Content)  
perl(Net::UPnP::AV::Item)  
perl(Net::UPnP::ActionResponse)  
perl(Net::UPnP::Device)  
perl(Net::UPnP::HTTP)  
perl(Net::UPnP::HTTPResponse)  
perl(Net::UPnP::QueryResponse)  
perl(Net::UPnP::Service)  
perl(Socket)  
perl(strict)  
perl(vars)  
perl(warnings)
Comment 5 Susi Lehtola 2009-04-15 02:51:43 EDT
Okay, examples added and rpmlint output is now clean.

Sorry for the shabby first versions, this was my first Perl package :)

http://theory.physics.helsinki.fi/~jzlehtol/rpms/perl-Net-UPnP.spec
http://theory.physics.helsinki.fi/~jzlehtol/rpms/perl-Net-UPnP-1.41-3.fc10.src.rpm
Comment 6 Chris Weyl 2009-04-16 01:00:43 EDT
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=1301510
Comment 7 Chris Weyl 2009-04-16 01:02:46 EDT
Don't sweat it; there's always a first time :)

Looks good!

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1301510

Spec looks sane, clean and consistent; license is correct (BSD);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
4ce2c0b734b2393f49f857f686b835bb2919eb05 Net-UPnP-1.41.tar.gz
4ce2c0b734b2393f49f857f686b835bb2919eb05 Net-UPnP-1.41.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.

=====> perl-Net-UPnP-1.41-3.fc10.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Net-UPnP-1.41-3.fc10.src.rpm
====> requires for perl-Net-UPnP-1.41-3.fc10.src.rpm
perl(ExtUtils::MakeMaker)  
perl(Test::More)  

=====> perl-Net-UPnP-1.41-3.fc10.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Net-UPnP-1.41-3.fc10.noarch.rpm
perl(Net::UPnP) = 1.41
perl(Net::UPnP::AV::Container)  
perl(Net::UPnP::AV::Content)  
perl(Net::UPnP::AV::Item)  
perl(Net::UPnP::AV::MediaRenderer)  
perl(Net::UPnP::AV::MediaServer)  
perl(Net::UPnP::ActionResponse)  
perl(Net::UPnP::ControlPoint)  
perl(Net::UPnP::Device)  
perl(Net::UPnP::GW::Gateway)  
perl(Net::UPnP::HTTP)  
perl(Net::UPnP::HTTPResponse)  
perl(Net::UPnP::QueryResponse)  
perl(Net::UPnP::Service)  
perl-Net-UPnP = 1.41-3.fc10
====> requires for perl-Net-UPnP-1.41-3.fc10.noarch.rpm
perl(:MODULE_COMPAT_5.10.0)  
perl(Net::UPnP)  
perl(Net::UPnP::AV::Container)  
perl(Net::UPnP::AV::Content)  
perl(Net::UPnP::AV::Item)  
perl(Net::UPnP::ActionResponse)  
perl(Net::UPnP::Device)  
perl(Net::UPnP::HTTP)  
perl(Net::UPnP::HTTPResponse)  
perl(Net::UPnP::QueryResponse)  
perl(Net::UPnP::Service)  
perl(Socket)  
perl(strict)  
perl(vars)  
perl(warnings)  

APPROVED
Comment 8 Susi Lehtola 2009-04-16 02:23:47 EDT
New Package CVS Request
=======================
Package Name: perl-Net-UPnP
Short Description: Perl extension for UPnP
Owners: jussilehtola
Branches: EL-5 F-10 F-11
InitialCC: perl-sig
Comment 9 Kevin Fenzi 2009-04-17 17:38:04 EDT
cvs done.
Comment 10 Fedora Update System 2009-04-18 04:31:01 EDT
perl-Net-UPnP-1.41-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Net-UPnP-1.41-3.fc10
Comment 11 Fedora Update System 2009-04-18 04:33:33 EDT
perl-Net-UPnP-1.41-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Net-UPnP-1.41-3.fc11
Comment 12 Fedora Update System 2009-04-21 21:04:27 EDT
perl-Net-UPnP-1.41-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-05-09 00:00:45 EDT
perl-Net-UPnP-1.41-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.